package com.quant.vo;

import java.sql.Date;

public class ProductRelationVO{
	private Integer id;
	private Integer productType;
	private String productTypeName;
	private String productName;
	private Integer managerId;
	private Integer companyId;
	private Integer issuePortal;
	private String custody;
	private String primeBroker;
	private Integer status;
	private String strategyDescription;
	private Integer majorStrategy;
	private Integer minorStrategy;
	private String investmentScope;
	private Integer investmentRegion;
	private Integer mihfRating;
	private String administrator;
	private Integer supervisionUnits;
	private Integer isFiling;
	private Integer isStructured;
	private String productCode;
	private Integer currencyType;
	private Integer leastAmount;
	private Integer leastAddto;
	private Float purchaseRate;//申购费率
	private String purchaseFeeDescription;//申购费率说明
	private Float managementFeeRate;//管理费率
	private String managementFeeDescription;//管理费率说明
	private Float performancePayRate;//浮动管理费率说明
	private String performancePayDescription;//浮动管理费率说明
	private Float redemptionRate;//赎回费率
	private String redemptionFeeDescription;//赎回费率说明
	private String otherFeeRate;
	private Integer isSetThreshold;
	private Integer isSetGuaranteed;
	private String purchaseDescription;
	private String redemptionDescription;
	private Integer closedPeriod;
	private Integer investorScope;
	private Integer productId;
	private Date recommendStartDate;
	private Date recommendEndDate;
	private Date startupDate;
	private Date endDate;
	private Integer duration;
	private Integer maximumExpectedIssuance;
	private Integer maximumActualIssuance;
	private Integer issuancePlace;
	private Integer productScale;
	private Float accumulativeValue;
	private Float netValue;
	private Date expiryDate;
	private String shorterName;
	private Integer expectedProfit;
	private String netvalueUri;
	private String title;
	private String teamInfo;
	private String riskInfo;
	private String roadshowInfo;
	private String mihfInfo;
	private String investmentAdviser;
	private String futureBroker;
	private String brightPoint;
	private Integer showStatus;
	private String remuneration;
	private String accountName;
	private String accountNumber;
	private String accountOpenBank;
	private Integer sortId;
	
	
	
	public Integer getSortId() {
		return sortId;
	}

	public void setSortId(Integer sortId) {
		this.sortId = sortId;
	}

	public String getRemuneration() {
		return remuneration;
	}

	public void setRemuneration(String remuneration) {
		this.remuneration = remuneration;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}

	public String getAccountOpenBank() {
		return accountOpenBank;
	}

	public void setAccountOpenBank(String accountOpenBank) {
		this.accountOpenBank = accountOpenBank;
	}

	public Integer getShowStatus() {
		return showStatus;
	}
	
	public void setShowStatus(Integer showStatus) {
		this.showStatus = showStatus;
	}
	
	public String getBrightPoint() {
		return brightPoint;
	}

	public void setBrightPoint(String brightPoint) {
		this.brightPoint = brightPoint;
	}
	
	

	public String getTeamInfo() {
		return teamInfo;
	}

	public void setTeamInfo(String teamInfo) {
		this.teamInfo = teamInfo;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getNetvalueUri() {
		return netvalueUri;
	}

	public void setNetvalueUri(String netvalueUri) {
		this.netvalueUri = netvalueUri;
	}

	public Integer getExpectedProfit() {
		return expectedProfit;
	}

	public void setExpectedProfit(Integer expectedProfit) {
		this.expectedProfit = expectedProfit;
	}
	
	

	public String getShorterName() {
		return shorterName;
	}

	public void setShorterName(String shorterName) {
		this.shorterName = shorterName;
	}
	


	public Integer getProductScale() {
		return this.productScale;
	}

	public void setProductScale(Integer productScale) {
		this.productScale = productScale;
	}

	public Float getAccumulativeValue() {
		return this.accumulativeValue;
	}

	public void setAccumulativeValue(Float accumulativeValue) {
		this.accumulativeValue = accumulativeValue;
	}

	public Float getNetValue() {
		return this.netValue;
	}

	public void setNetValue(Float netValue) {
		this.netValue = netValue;
	}

	public Date getExpiryDate() {
		return this.expiryDate;
	}

	public void setExpiryDate(Date expiryDate) {
		this.expiryDate = expiryDate;
	}



	public Integer getProductId() {
		return productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}


	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getRecommendStartDate() {
		return this.recommendStartDate;
	}

	public void setRecommendStartDate(Date recommendStartDate) {
		this.recommendStartDate = recommendStartDate;
	}

	public Date getRecommendEndDate() {
		return this.recommendEndDate;
	}

	public void setRecommendEndDate(Date recommendEndDate) {
		this.recommendEndDate = recommendEndDate;
	}

	public Date getStartupDate() {
		return this.startupDate;
	}

	public void setStartupDate(Date startupDate) {
		this.startupDate = startupDate;
	}

	public Date getEndDate() {
		return this.endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Integer getDuration() {
		return this.duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public Integer getMaximumExpectedIssuance() {
		return this.maximumExpectedIssuance;
	}

	public void setMaximumExpectedIssuance(Integer maximumExpectedIssuance) {
		this.maximumExpectedIssuance = maximumExpectedIssuance;
	}

	public Integer getMaximumActualIssuance() {
		return this.maximumActualIssuance;
	}

	public void setMaximumActualIssuance(Integer maximumActualIssuance) {
		this.maximumActualIssuance = maximumActualIssuance;
	}

	public Integer getIssuancePlace() {
		return this.issuancePlace;
	}

	public void setIssuancePlace(Integer issuancePlace) {
		this.issuancePlace = issuancePlace;
	}
	

	

	public Integer getCurrencyType() {
		return this.currencyType;
	}

	public void setCurrencyType(Integer currencyType) {
		this.currencyType = currencyType;
	}

	public Integer getLeastAmount() {
		return this.leastAmount;
	}

	public void setLeastAmount(Integer leastAmount) {
		this.leastAmount = leastAmount;
	}

	public Integer getLeastAddto() {
		return this.leastAddto;
	}

	public void setLeastAddto(Integer leastAddto) {
		this.leastAddto = leastAddto;
	}

	public Float getPurchaseRate() {
		return this.purchaseRate;
	}

	public void setPurchaseRate(Float purchaseRate) {
		this.purchaseRate = purchaseRate;
	}

	public Float getManagementFeeRate() {
		return this.managementFeeRate;
	}

	public void setManagementFeeRate(Float managementFeeRate) {
		this.managementFeeRate = managementFeeRate;
	}

	public Float getPerformancePayRate() {
		return this.performancePayRate;
	}

	public void setPerformancePayRate(Float performancePayRate) {
		this.performancePayRate = performancePayRate;
	}

	public Float getRedemptionRate() {
		return this.redemptionRate;
	}

	public void setRedemptionRate(Float redemptionRate) {
		this.redemptionRate = redemptionRate;
	}

	public String getOtherFeeRate() {
		return this.otherFeeRate;
	}

	public void setOtherFeeRate(String otherFeeRate) {
		this.otherFeeRate = otherFeeRate;
	}

	public Integer getIsSetThreshold() {
		return this.isSetThreshold;
	}

	public void setIsSetThreshold(Integer isSetThreshold) {
		this.isSetThreshold = isSetThreshold;
	}

	public Integer getIsSetGuaranteed() {
		return this.isSetGuaranteed;
	}

	public void setIsSetGuaranteed(Integer isSetGuaranteed) {
		this.isSetGuaranteed = isSetGuaranteed;
	}

	public String getPurchaseDescription() {
		return this.purchaseDescription;
	}

	public void setPurchaseDescription(String purchaseDescription) {
		this.purchaseDescription = purchaseDescription;
	}

	public String getRedemptionDescription() {
		return this.redemptionDescription;
	}

	public void setRedemptionDescription(String redemptionDescription) {
		this.redemptionDescription = redemptionDescription;
	}

	public Integer getClosedPeriod() {
		return this.closedPeriod;
	}

	public void setClosedPeriod(Integer closedPeriod) {
		this.closedPeriod = closedPeriod;
	}

	public Integer getInvestorScope() {
		return this.investorScope;
	}

	public void setInvestorScope(Integer investorScope) {
		this.investorScope = investorScope;
	}
	

	// Constructors

	// Constructors

	public String getProductCode() {
		return productCode;
	}

	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}



	public Integer getProductType() {
		return this.productType;
	}

	public void setProductType(Integer productType) {
		this.productType = productType;
	}

	public String getProductName() {
		return this.productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public Integer getManagerId() {
		return this.managerId;
	}

	public void setManagerId(Integer managerId) {
		this.managerId = managerId;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public Integer getIssuePortal() {
		return this.issuePortal;
	}

	public void setIssuePortal(Integer issuePortal) {
		this.issuePortal = issuePortal;
	}

	public String getCustody() {
		return this.custody;
	}

	public void setCustody(String custody) {
		this.custody = custody;
	}

	public String getPrimeBroker() {
		return this.primeBroker;
	}

	public void setPrimeBroker(String primeBroker) {
		this.primeBroker = primeBroker;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getStrategyDescription() {
		return this.strategyDescription;
	}

	public void setStrategyDescription(String strategyDescription) {
		this.strategyDescription = strategyDescription;
	}

	public Integer getMajorStrategy() {
		return this.majorStrategy;
	}

	public void setMajorStrategy(Integer majorStrategy) {
		this.majorStrategy = majorStrategy;
	}

	public Integer getMinorStrategy() {
		return this.minorStrategy;
	}

	public void setMinorStrategy(Integer minorStrategy) {
		this.minorStrategy = minorStrategy;
	}

	public String getInvestmentScope() {
		return this.investmentScope;
	}

	public void setInvestmentScope(String investmentScope) {
		this.investmentScope = investmentScope;
	}

	public Integer getInvestmentRegion() {
		return this.investmentRegion;
	}

	public void setInvestmentRegion(Integer investmentRegion) {
		this.investmentRegion = investmentRegion;
	}

	public Integer getMihfRating() {
		return this.mihfRating;
	}

	public void setMihfRating(Integer mihfRating) {
		this.mihfRating = mihfRating;
	}

	public String getAdministrator() {
		return this.administrator;
	}

	public void setAdministrator(String administrator) {
		this.administrator = administrator;
	}

	public Integer getSupervisionUnits() {
		return this.supervisionUnits;
	}

	public void setSupervisionUnits(Integer supervisionUnits) {
		this.supervisionUnits = supervisionUnits;
	}

	public Integer getIsFiling() {
		return this.isFiling;
	}

	public void setIsFiling(Integer isFiling) {
		this.isFiling = isFiling;
	}

	public Integer getIsStructured() {
		return this.isStructured;
	}

	public void setIsStructured(Integer isStructured) {
		this.isStructured = isStructured;
	}

	public String getInvestmentAdviser() {
		return investmentAdviser;
	}

	public void setInvestmentAdviser(String investmentAdviser) {
		this.investmentAdviser = investmentAdviser;
	}

	public String getFutureBroker() {
		return futureBroker;
	}

	public void setFutureBroker(String futureBroker) {
		this.futureBroker = futureBroker;
	}

	public String getPurchaseFeeDescription() {
		return purchaseFeeDescription;
	}

	public void setPurchaseFeeDescription(String purchaseFeeDescription) {
		this.purchaseFeeDescription = purchaseFeeDescription;
	}

	public String getManagementFeeDescription() {
		return managementFeeDescription;
	}

	public void setManagementFeeDescription(String managementFeeDescription) {
		this.managementFeeDescription = managementFeeDescription;
	}

	public String getPerformancePayDescription() {
		return performancePayDescription;
	}

	public void setPerformancePayDescription(String performancePayDescription) {
		this.performancePayDescription = performancePayDescription;
	}

	public String getRedemptionFeeDescription() {
		return redemptionFeeDescription;
	}

	public void setRedemptionFeeDescription(String redemptionFeeDescription) {
		this.redemptionFeeDescription = redemptionFeeDescription;
	}

	public String getRiskInfo() {
		return riskInfo;
	}

	public void setRiskInfo(String riskInfo) {
		this.riskInfo = riskInfo;
	}

	public String getRoadshowInfo() {
		return roadshowInfo;
	}

	public void setRoadshowInfo(String roadshowInfo) {
		this.roadshowInfo = roadshowInfo;
	}

	public String getMihfInfo() {
		return mihfInfo;
	}

	public void setMihfInfo(String mihfInfo) {
		this.mihfInfo = mihfInfo;
	}

	public String getProductTypeName() {
		return productTypeName;
	}

	public void setProductTypeName(String productTypeName) {
		this.productTypeName = productTypeName;
	}
	

}
